/*
 * CalendarUtilities.java
 *
 * Created on August 7, 2003, 8:50 AM
 *
 * @author David Tran
 */

package mvc143;

import java.util.Calendar;

/** 
 * A utilities class to help in interpreting Calendar objects<br><br>
 *
 */
public class CalendarUtilities {

	public static String getMonthFrom(Calendar c) {
		switch( c.get(Calendar.MONTH) ){
            case Calendar.JANUARY:
                return "January";
            case Calendar.FEBRUARY:
                return "February";
            case Calendar.MARCH:
                return "March";
            case Calendar.APRIL:
                return "April";
            case Calendar.MAY:
                return "May";
            case Calendar.JUNE:
                return "June";
            case Calendar.JULY:
                return "July";
            case Calendar.AUGUST:
                return "August";
            case Calendar.SEPTEMBER:
                return "September";
            case Calendar.OCTOBER:
                return "October";
            case Calendar.NOVEMBER:
                return "November";
            case Calendar.DECEMBER:
                return "December";          
            default:
                return "UNKNOWN MONTH";
        }
	}

    public static int getMonthValueFrom(String month) {
	if( month.equalsIgnoreCase("January") ) {
            return Calendar.JANUARY;
        }
        else if( month.equalsIgnoreCase("February") ) {
            return Calendar.FEBRUARY;
        }
        else if( month.equalsIgnoreCase("March") ) {
            return Calendar.MARCH;
        }
        else if( month.equalsIgnoreCase("April") ) {
            return Calendar.APRIL;
        }
        else if( month.equalsIgnoreCase("May") ) {
            return Calendar.MAY;
        }
        else if( month.equalsIgnoreCase("June") ) {
            return Calendar.JUNE;
        }
        else if( month.equalsIgnoreCase("July") ) {
            return Calendar.JULY;
        }
        else if( month.equalsIgnoreCase("August") ) {
            return Calendar.AUGUST;
        }
        else if( month.equalsIgnoreCase("September") ) {
            return Calendar.SEPTEMBER;
        }
        else if( month.equalsIgnoreCase("October") ) {
            return Calendar.OCTOBER;
        }
        else if( month.equalsIgnoreCase("November") ) {
            return Calendar.NOVEMBER;
        }
        else if( month.equalsIgnoreCase("December") ) {
            return Calendar.DECEMBER;
        }
        else {
            return -1;
        }
    }

}
